## ros-rolling-mqtt-client-interfaces 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0 FATAL_ERROR)
project(mqtt_client_interfaces)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

# === ROS2 (AMENT) =============================================================
if(${ROS_VERSION} EQUAL 2)

  find_package(ament_cmake REQUIRED)
  find_package(rosidl_default_generators REQUIRED)
  find_package(std_msgs REQUIRED)

  rosidl_generate_interfaces(${PROJECT_NAME}
    msg/RosMsgType.msg
    srv/IsConnected.srv
    DEPENDENCIES std_msgs
  )

  ament_package()

# === ROS1 (CATKIN) ============================================================
elseif(${ROS_VERSION} EQUAL 1)

  find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(
    FILES
    RosMsgType.msg
  )

  add_service_files(
    FILES
    IsConnected.srv
  )

  generate_messages(
    DEPENDENCIES
    std_msgs
  )

  catkin_package(
    CATKIN_DEPENDS
      message_runtime
      std_msgs
  )

endif()

=== debian/changelog ===
ros-rolling-mqtt-client-interfaces (2.0.1-1jammy) jammy; urgency=high

  * fix unrecognized build type with catkin_make_isolated
    order of statements is somehow revelant; catkin_make_isolated would not detect the build type; build farm jobs were failing; https://build.ros.org/job/Ndev__mqtt_client__ubuntu_focal_amd64/10/console
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Fri, 09 Jun 2023 22:00:00 -0000

ros-rolling-mqtt-client-interfaces (2.0.0-1jammy) jammy; urgency=high

  * Merge pull request #23 from ika-rwth-aachen/docker-ros
    Integrate docker-ros
  * Merge pull request #16 from ika-rwth-aachen/dev/ros2
    Add support for ROS2
  * Contributors: Lennart Reiher

 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Fri, 09 Jun 2023 22:00:00 -0000

ros-rolling-mqtt-client-interfaces (1.1.0-1jammy) jammy; urgency=high



 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Wed, 12 Oct 2022 22:00:00 -0000

ros-rolling-mqtt-client-interfaces (1.0.2-1jammy) jammy; urgency=high



 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-rolling-mqtt-client-interfaces (1.0.1-1jammy) jammy; urgency=high



 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Wed, 10 Aug 2022 22:00:00 -0000

ros-rolling-mqtt-client-interfaces (1.0.0-1jammy) jammy; urgency=high



 -- Lennart Reiher <lennart.reiher@rwth-aachen.de>  Wed, 01 Jun 2022 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-mqtt-client-interfaces
Section: misc
Priority: optional
Maintainer: Lennart Reiher <lennart.reiher@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-environment, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/mqtt_client
Standards-Version: 3.9.2

Package: ros-rolling-mqtt-client-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-environment, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Message and service definitions for mqtt_client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-mqtt-client-interfaces//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
